#ifndef DISPLAYMANAGER_H
#define DISPLAYMANAGER_H

#include "networld.h"
#include "controlpanel.h"

struct Str_Window_Manager{
    Display display;
    Panel * panel;
    Main_Menu * menu;
};

typedef struct Str_Window_Manager Window_Manager;

Window_Manager *  Window_Manager_new(Panel * panel, Main_Menu * menu);

void Window_Manager_delete(Window_Manager * manager);

void Window_Manager_display(Window_Manager * self);

#endif
